Summary:        Typesafe signal framework for C++
Name:           libsigc++30
Version:        3.4.0
Release:        4%{?dist}

License:        LGPLv2+
URL:            https://github.com/libsigcplusplus/libsigcplusplus
Source0:        https://github.com/libsigcplusplus/libsigcplusplus/releases/download/%{version}/libsigc++-%{version}.tar.xz

BuildRequires:  docbook-style-xsl doxygen libxslt
BuildRequires:  gcc-c++ meson m4
BuildRequires:  perl(Getopt::Long) perl-interpreter

%description
libsigc++ (a.k.a. libsigcplusplus) implements a typesafe callback system for standard C++. 
It allows you to define signals and to connect those signals to any callback function, either
global or a member function, regardless of whether it is static or virtual.

libsigc++ is used by gtkmm to wrap the GTK signal system. It does not depend on GTK or gtkmm.

sigc++-2.0 and sigc++-3.0 are different parallel-installable ABIs. This file describes sigc++-3.0.


%package        devel
Summary:        Development tools for the typesafe signal framework for C++
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the static libraries and header files
needed for development with %{name}.


%package        doc
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains the full API documentation for %{name}.


%prep
%autosetup -n libsigc++-%{version}


%build
%meson -Dbuild-documentation=true
%meson_build


%install
%meson_install


%files
%license COPYING
%doc AUTHORS README.md NEWS
%{_libdir}/libsigc-3.0.so.0*

%files devel
%{_includedir}/sigc++-3.0/
%{_libdir}/sigc++-3.0/
%{_libdir}/pkgconfig/sigc++-3.0.pc
%{_libdir}/libsigc-3.0.so

%files doc
%doc %{_datadir}/doc/libsigc++-3.0/
%doc %{_datadir}/devhelp/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 24 2023 cunshunxia <cunshunxia@tencent.com> - 3.4.0-1
- initial build
